using System;

namespace CaveArt.UIcomp
{
	[AttributeUsage(AttributeTargets.Property)]
	public class FieldIndexAttribute : Attribute
	{
		private int index = -1;
		
		public FieldIndexAttribute(int i)
		{
			this.index = i;
		}

		public int FieldIndex
		{
			get
			{
				return index;
			}
		}
	}
}

