﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CaveArt.UIcomp
{
    class Const
    {
        public const string DefaultTime = "01/01/1900";
        public const string NotSpecifiedString = "Unspecified";

        public static string CurrencyString = System.Globalization.NumberFormatInfo.CurrentInfo.CurrencySymbol;
        public static int CurrencyDecimals = System.Globalization.NumberFormatInfo.CurrentInfo.CurrencyDecimalDigits;

        public static readonly DateTime UNDEFINED_TIME = DateTime.Parse(DefaultTime);
        public static string CurrencyFormat = GetCurrencyFormat(CurrencyDecimals);

        public static string GetCurrencyFormat(int digit)
        {
            return ("{0," + digit.ToString() + ":N}");
        }
    }
}
